--- t1lib.SlackBuild	2006-04-03 20:43:30.000000000 -0400
+++ t1lib.SlackBuild.s390x	2005-12-30 22:17:05.000000000 -0500
@@ -16,7 +16,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -26,7 +26,7 @@
 rm -rf t1lib-$VERSION
 tar xzvf $CWD/t1lib-$VERSION.tar.gz
 cd t1lib-$VERSION
-chown -R root:root .
+chown -R root.root .
 find . -perm 664 -exec chmod 644 {} \;
 find . -perm 600 -exec chmod 644 {} \;
 find . -perm 444 -exec chmod 644 {} \;
@@ -40,6 +40,7 @@
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
+  --libdir='${exec_prefix}/lib64' \
   --enable-static=no \
   $ARCH-slackware-linux
 make
@@ -49,7 +50,8 @@
   find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
   find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
 )
-chmod 755 $PKG/usr/lib/*.so
+chmod 755 $PKG/usr/lib64/*.so
+chown -R root.bin $PKG/usr/bin
 mkdir -p $PKG/usr/doc/t1lib-$VERSION
 mv $PKG/usr/share/t1lib/doc/t1lib_doc.ps $PKG/usr/doc/t1lib-$VERSION
 gzip -9 $PKG/usr/doc/t1lib-$VERSION/t1lib_doc.ps
